Subject: [Ltru] clarifying what a redundant tag is (gen-art #20)

From: "Addison Phillips" <[email-masked]>
Date: Thu, 1 Sep 2005 12:19:34 -0700

> > s2.2.8: In reading the document for the first time, I found the use 
> > of 'redundant' as a type slightly confusing.  It would help to 
> > clarify things if text was added (probably in this section) to the 
> > effect that subtags that don't come from RFC3066 but eventually become 'redundant'
> > are NOT handled by the use of the 'redundant' type but by marking 
> > them as deprecated and (maybe) adding a Preferred-Value as described in s3.1.
> [Addison Phillips]
> 
> That isn't correct. Redundant tags are values registered under RFC 
> 3066 that are now defined by (separate) subtags in the registry. For 
> example, the tag "zh-Hant" is now defined by the subtags 'zh' and 
> 'Hant' and thus is redundant. It is NOT deprecated and never may be deprecated by rule.
> This is in contrast to grandfathered values, which may sometimes 
> become redundant (the only time a zebra in this zoo may change its 
> stripes) or may be deprecated, but which always maintain their validity.
> 
> What's important to note is that redundant tags are valid.

Unless otherwise noted by an email, I am incorporating Elwyn's editorial comments. This one seems to require a response.

Proposed Solution:

Add the following clarifying text to Section 2.2.8 (Preexisting RFC 3066 Registrations):

--
Grandfathered tags contain one or more subtags that are not defined in the Language Subtag Registry (see [Section 3]). Redundant tags consist entirely of subtags defined above and whose independent registration is superseded by this document.
--

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru